Offer
All operations require authentication.
List the OverTheBox offers available to orderProduction
List the OverTheBox offers available to order. Returns the names of the offers that can be ordered for a new OverTheBox service.
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ availableOffers \
-H "authorization: Bearer $OVH_TOKEN"[ "business.v1"]
List the migration offers of an OverTheBox serviceProduction
List the migration offers of an OverTheBox service. Returns the offers the service can migrate to, with their price, engagement and available hardware.
Path parameters
The internal name of your overTheBox offer
Response
Monthly price of the current offer
Description of the offer
Number of months of engagement
Specify if a hardware is available
Name of the hardware
Hardware purchase price
Details of available hardwares
Name of the offer
Monthly price of the new offer
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ {serviceName}/ migration/ offers \
-H "authorization: Bearer $OVH_TOKEN"[ { "currentOfferPrice": { "currencyCode": "AUD", "text": "string", "value": 0 }, "description": "string", "engagementMonths": 0, "hardwareAvailable": true, "hardwareName": "string", "hardwarePrice": { "currencyCode": "AUD", "text": "string", "value": 0 }, "hardwares": [ { "hardwareDisplayName": "string", "hardwareName": "string", "hardwarePrice": { "currencyCode": "AUD", "text": "string", "value": 0 } } ], "offer": "string", "price": { "currencyCode": "AUD", "text": "string", "value": 0 } }]
Migrate an OverTheBox service to another offerProduction
Migrate an OverTheBox service to another offer. Creates the order to migrate to the offer, with an optional hardware and shipping contact, and returns its ID and URL.
Path parameters
The internal name of your overTheBox offer
Request body (required)
Name of the hardware
Offer name to migrate to
In case of hardware and if a shipping custom address is desired
Response
Id of the migration order
URL of the migration order
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ {serviceName}/ migration/ changeOffers \
-H "authorization: Bearer $OVH_TOKEN"{ "orderId": "string", "orderUrl": "string"}
Cancel the resiliation of an OverTheBox serviceProduction
Cancel the resiliation of an OverTheBox service. Cancels the resiliation requested on the service, which stays active.
Path parameters
The internal name of your overTheBox offer
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ {serviceName}/ cancelResiliation \
-H "authorization: Bearer $OVH_TOKEN"Change service contactsProduction
Change service contacts. Starts a procedure to change the admin, tech or billing contact of the service.
Path parameters
The internal name of your overTheBox offer
Request body (required)
The contact to set as admin contact
The contact to set as billing contact
The contact to set as tech contact
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ {serviceName}/ changeContact \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get service informationProduction
Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.
Path parameters
The internal name of your overTheBox offer
Response
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
Update service informationProduction
Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.
Path parameters
The internal name of your overTheBox offer
Request body (required)
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"